package com.dayou.mapper;

import com.dayou.dto.history.HisPersonalProduction;
import com.dayou.entity.DyoaRecord;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.entity.FinanceInvoice;
import com.dayou.entity.OrderFund;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 数据同步记录 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2024-07-25
 */
public interface DyoaRecordMapper extends CustomBaseMapper<DyoaRecord> {

    Date getMaxOrderTime();

    Date getMaxPersonalTargetTime();

    Date getMaxRealAmountCreatedTime();

    Date getMaxClaimDate();

    List<DyoaRecord> selectOrderFundIdByDyoaOrderId();

    Date getMaxFinanceInvoiceCreatedTime();


    Long getMbsIdByDyOAId(@Param("id") String id);

    Long getMbsIdByDyOAIdForAssets(@Param("id") String id);

    List<HisPersonalProduction> findPersonalProduction();

    List<HisPersonalProduction> findAssetsProduction();

    Long getPersonalTargetId(@Param("id")String id);

    FinanceInvoice getMbsIdByDyOAiDForInvoice(@Param("dyoaId") String dyoaId);

    Long getMbsRealAmountId(@Param("incomeId")String incomeId, @Param("name")String name);

    String getMembersAndSignerInDyoa(@Param("id") Long id);
}
